Skip to content

This page describes Revolution release 149.

Search these docs, or ask Revo a question — answers link the pages they came from.

Updates the store positions of a storage device


PUT
/api/v1/{tenantid}/storage-devices/{deviceId}/positions/store

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantid
required
string
deviceId
required
string
object
positionsToUpdate
Array<integer>
nullable
storeId
string
nullable

OK

object

Bad Request

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable